Get ClickUp sync settings
get
https://api.expiryedge.com/v1/integrations/clickup/orgSettingsany role60/min
Request
curl 'https://api.expiryedge.com/v1/integrations/clickup/orgSettings' \
-H "Authorization: Bearer $EXPIRYEDGE_API_KEY"Response
{
"connected": true,
"default_team_id": "9012345",
"default_space_id": "90120001",
"default_folder_id": "90120101",
"default_list_id": "901201010",
"sync_on_create": true,
"sync_on_update": false,
"sync_from_clickup": true,
"enabled": true
}Returns {connected: false} when ClickUp was never connected.
200
Settings.
connectedbooleandefault_team_idstring | nulldefault_space_idstring | nulldefault_folder_idstring | nulldefault_list_idstring | nullsync_on_createbooleansync_on_updatebooleansync_from_clickupbooleanenabledboolean
400 | The user has no organization, the provider is not connected, validation failed, or the provider API call failed. |
401 | Missing, expired or invalid bearer token. |
429 | Too many requests for this endpoint from your IP. Wait Retry-After seconds. |
